#!/bin/sh
###########################################################################
##  Copyright (C) Wizardry and Steamworks 2018 - License: GNU GPLv3      ##
###########################################################################
# http://grimore.org/fuss/awk#convert_key-value_map_to_json               #
###########################################################################

apcaccess | awk -F: '
    function trim(s) { 
        return gensub(/^[ \t"]*|[ \t"]*$/, "", "g", s) 
    }
    BEGIN {
        printf "{"
    } 
    NR > 1 { 
        printf(", ") 
    } 
    { 
        printf("\"%s\":\"%s\"", trim($1), trim(substr($0, index($0,":") + 1)));
    }
    END {
        print "}"
    }
'
